curl --request GET \
--url https://www.ruddr.io/api/workspace/credit-notes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/credit-notes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/credit-notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/credit-notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/credit-notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/credit-notes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/credit-notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2f4a8c1e-9b37-4d62-ae15-7c830f2e5d91",
"companyName": "Palermo Consulting, LLC",
"companyStreetAddress": "1500 North Main Boulevard\nBuilding 500, Suite 250B\nAtlanta, GA 30338",
"number": "CN-0042",
"statusId": "applied",
"adjustEarnedRevenue": false,
"billTo": "Paul's Boutique\n99 Ludlow Street\nNew York, New York 10002",
"creditNoteFor": "Invoice for Consulting Engagement",
"issuedOn": "2026-01-28",
"poNumber": "PO-20260128",
"notes": "Credit issued for overbilled hours in Q4 2025.",
"emailSubject": "Credit Note CN-0042 from Palermo Consulting",
"emails": [
"billing@paulsboutique.com"
],
"ccEmails": [
"ar@palermoconsulting.com"
],
"emailBody": "Hi,\n\nA credit note from Palermo Consulting has been prepared for your review.\n\nThank you for your business!\n\nRegards,\nPalermo Consulting",
"emailFromName": "Palermo Consulting",
"replyTo": "invoices@palermoconsulting.com",
"sendBcc": true,
"sentOn": "2026-01-29",
"currency": "USD",
"subtotal": 4025,
"taxRate": 0.0775,
"totalTax": 0,
"total": 4025,
"appliedCredit": 4025,
"remainingCredit": 0,
"createdAt": "2026-01-28T20:57:40.194Z",
"modifiedAt": "2026-02-18T20:57:40.194Z",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"name": "Paul's Boutique"
},
"projects": [
{
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
],
"lines": [
{
"id": "b6be8459-e8c3-4893-aa66-f5df1bfe3f9c",
"lineNumber": 1,
"item": "Consulting Services",
"description": "Reporting - Q4 2025",
"quantity": 18,
"rate": 175,
"amount": 3150,
"taxable": false,
"invoiceItem": {
"id": "aba04832-216c-463e-8998-c520948f707c",
"name": "Consulting Services"
},
"project": {
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
}
],
"invoices": [
{
"id": "d3e92f7a-15c4-48b1-9037-6e4f2a8b5c10",
"number": "INV-0117",
"amount": 4025
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id '2f4a8c1e-9b37-4d62-ae15-7c830f2e5d91' not found."
}Get a credit note
curl --request GET \
--url https://www.ruddr.io/api/workspace/credit-notes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/credit-notes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/credit-notes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/credit-notes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/credit-notes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/credit-notes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/credit-notes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2f4a8c1e-9b37-4d62-ae15-7c830f2e5d91",
"companyName": "Palermo Consulting, LLC",
"companyStreetAddress": "1500 North Main Boulevard\nBuilding 500, Suite 250B\nAtlanta, GA 30338",
"number": "CN-0042",
"statusId": "applied",
"adjustEarnedRevenue": false,
"billTo": "Paul's Boutique\n99 Ludlow Street\nNew York, New York 10002",
"creditNoteFor": "Invoice for Consulting Engagement",
"issuedOn": "2026-01-28",
"poNumber": "PO-20260128",
"notes": "Credit issued for overbilled hours in Q4 2025.",
"emailSubject": "Credit Note CN-0042 from Palermo Consulting",
"emails": [
"billing@paulsboutique.com"
],
"ccEmails": [
"ar@palermoconsulting.com"
],
"emailBody": "Hi,\n\nA credit note from Palermo Consulting has been prepared for your review.\n\nThank you for your business!\n\nRegards,\nPalermo Consulting",
"emailFromName": "Palermo Consulting",
"replyTo": "invoices@palermoconsulting.com",
"sendBcc": true,
"sentOn": "2026-01-29",
"currency": "USD",
"subtotal": 4025,
"taxRate": 0.0775,
"totalTax": 0,
"total": 4025,
"appliedCredit": 4025,
"remainingCredit": 0,
"createdAt": "2026-01-28T20:57:40.194Z",
"modifiedAt": "2026-02-18T20:57:40.194Z",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"name": "Paul's Boutique"
},
"projects": [
{
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
],
"lines": [
{
"id": "b6be8459-e8c3-4893-aa66-f5df1bfe3f9c",
"lineNumber": 1,
"item": "Consulting Services",
"description": "Reporting - Q4 2025",
"quantity": 18,
"rate": 175,
"amount": 3150,
"taxable": false,
"invoiceItem": {
"id": "aba04832-216c-463e-8998-c520948f707c",
"name": "Consulting Services"
},
"project": {
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
}
],
"invoices": [
{
"id": "d3e92f7a-15c4-48b1-9037-6e4f2a8b5c10",
"number": "INV-0117",
"amount": 4025
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id '2f4a8c1e-9b37-4d62-ae15-7c830f2e5d91' not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The credit note uuid
Response
200
The unique identifier for the object.
The company name printed on the credit note.
The company street address printed on the credit note.
The credit note number (e.g. CN-0042).
The current status of the credit note.
draft, open, applied Whether publishing this credit note reduced the earned revenue of the credited projects.
The billing address or recipient text printed on the credit note.
A brief description of what the credit note is for.
The date the credit note was issued (YYYY-MM-DD).
The purchase order number associated with the credit note.
Internal or external notes on the credit note.
The email subject used when sending the credit note.
The list of recipient email addresses.
The list of CC email addresses.
The email body used when sending the credit note.
The sender display name used when sending the credit note.
The reply-to email address used when sending the credit note.
Whether the workspace is BCC'd when the credit note is sent.
The date the credit note was sent (YYYY-MM-DD).
The ISO 4217 currency code for the credit note (e.g. USD).
The sum of all line item amounts before tax.
The tax rate applied to taxable line items, expressed as a decimal (e.g. 0.0775 for 7.75%).
The total tax amount calculated from taxable line items.
The total amount of the credit note including tax.
The total amount of credit that has been applied to invoices or payments.
The remaining unapplied credit balance.
The timestamp when the object was created.
The timestamp when the object was last modified.
The client the credit note belongs to.
Show child attributes
Show child attributes
The projects associated with this credit note.
Show child attributes
Show child attributes
The line items on the credit note.
Show child attributes
Show child attributes
The invoices this credit note has been applied to.
Show child attributes
Show child attributes